## python-osprofiler 2.3.0

=== requirements.txt ===
netaddr>=0.7.18 # BSD
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.serialization>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
PrettyTable<0.8,>=0.7.2 # BSD
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
WebOb>=1.7.1 # MIT

=== debian/changelog ===
python-osprofiler (2.3.0-3~cloud0) bionic-stein; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 11 Jan 2019 23:20:12 +0000

python-osprofiler (2.3.0-3) unstable; urgency=medium

  * Add d/patches/install-missing-files.patch
  * Add d/patches/add-password-redis-sentinel.patch
  * Add d/patches/fix-redis-driver-in-horizon-osprofiler.patch
  * Add me to uploaders field
  * Add me to d/copyright

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 22 Dec 2018 13:05:27 +0100

python-osprofiler (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 15:36:20 +0200

python-osprofiler (2.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Build doc with Python 3.
  * Blacklist all test_jaeger test.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 17:36:48 +0200

=== debian/control ===
Source: python-osprofiler
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-ddt,
 python-elasticsearch (>= 2.0.0),
 python-hacking,
 python-mock,
 python-netaddr,
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:3.2.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-prettytable,
 python-pymongo,
 python-redis,
 python-requests (>= 2.14.2),
 python-six,
 python-testtools (>= 2.2.0),
 python-webob (>= 1.7.1),
 python3-ddt,
 python3-docutils,
 python3-elasticsearch (>= 2.0.0),
 python3-mock,
 python3-netaddr,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:3.2.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-prettytable,
 python3-pymongo,
 python3-redis,
 python3-requests (>= 2.14.2),
 python3-six,
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1.7.1),
 subunit,
 testrepository,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-osprofiler
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-osprofiler.git
Homepage: https://github.com/stackforge/osprofiler

Package: python-osprofiler
Architecture: all
Depends:
 python-netaddr,
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-prettytable,
 python-requests (>= 2.14.2),
 python-six,
 python-webob (>= 1.7.1),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Profiler Library - Python 2.x
 OpenStack consists of multiple projects. Each project, in turn, is composed of
 multiple services. To process some request, e.g. to boot a virtual machine,
 OpenStack uses multiple services from different projects. In the case somethin
 works too slowly, it's extremely complicated to understand what exactly goes
 wrong and to locate the bottleneck.
 .
 To resolve this issue, a tiny but powerful library, osprofiler, has been
 interoduced, and can be used by all OpenStack projects and their Python
 clients. To be able to generate one trace per request, that goes through all
 involved services, and builds a tree of calls (see an example
 http://pavlovic.me/rally/profiler/).
 .
 This package contains the Python 2.x module.

Package: python-osprofiler-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Profiler Library - doc
 OpenStack consists of multiple projects. Each project, in turn, is composed of
 multiple services. To process some request, e.g. to boot a virtual machine,
 OpenStack uses multiple services from different projects. In the case somethin
 works too slowly, it's extremely complicated to understand what exactly goes
 wrong and to locate the bottleneck.
 .
 To resolve this issue, a tiny but powerful library, osprofiler, has been
 interoduced, and can be used by all OpenStack projects and their Python
 clients. To be able to generate one trace per request, that goes through all
 involved services, and builds a tree of calls (see an example
 http://pavlovic.me/rally/profiler/).
 .
 This package contains the documentation.

Package: python3-osprofiler
Architecture: all
Depends:
 python3-netaddr,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-prettytable,
 python3-requests (>= 2.14.2),
 python3-six,
 python3-webob (>= 1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Profiler Library - Python 3.x
 OpenStack consists of multiple projects. Each project, in turn, is composed of
 multiple services. To process some request, e.g. to boot a virtual machine,
 OpenStack uses multiple services from different projects. In the case somethin
 works too slowly, it's extremely complicated to understand what exactly goes
 wrong and to locate the bottleneck.
 .
 To resolve this issue, a tiny but powerful library, osprofiler, has been
 interoduced, and can be used by all OpenStack projects and their Python
 clients. To be able to generate one trace per request, that goes through all
 involved services, and builds a tree of calls (see an example
 http://pavlovic.me/rally/profiler/).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

UPSTREAM_GIT := https://github.com/openstack/osprofiler.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'osprofiler\.tests\.(?!.*OptsTestCase\.test_entry_point.*|.*unit\.drivers\.test_jaeger.*)'
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b html doc/source debian/python-osprofiler-doc/usr/share/doc/python-osprofiler-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/tests/control ===
Depends: python-osprofiler
Test-Command: cd "$AUTOPKGTEST_TMP" ; python -c "import osprofiler; print osprofiler.__version__"

Depends: python3-osprofiler
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import osprofiler; print(osprofiler.__version__)"

## python-osprofiler 2.8.2

=== debian/changelog ===
python-osprofiler (2.8.2-0ubuntu2~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 02 Oct 2019 09:36:01 +0000

python-osprofiler (2.8.2-0ubuntu2) eoan; urgency=medium

  * d/t/control: Drop python-osprofiler test as package no longer
    provides a py2 module.

 -- James Page <james.page@ubuntu.com>  Wed, 02 Oct 2019 08:18:15 +0100

python-osprofiler (2.8.2-0ubuntu1) eoan; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ James Page ]
  * New upstream release for OpenStack Train.
  * d/p/add-password-redis-sentinel.patch: Drop, included upstream.
  * Drop support for Python 2.
  * d/rules: Switch package to use pybuild.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 10:36:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-osprofiler
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
@@ -9,30 +10,11 @@
  debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr,
- python-setuptools,
  python3-all,
  python3-pbr,
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python-ddt,
- python-elasticsearch (>= 2.0.0),
- python-hacking,
- python-mock,
- python-netaddr,
- python-oslo.concurrency (>= 3.26.0),
- python-oslo.config (>= 1:3.2.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.utils (>= 3.33.0),
- python-prettytable,
- python-pymongo,
- python-redis,
- python-requests (>= 2.14.2),
- python-six,
- python-testtools (>= 2.2.0),
- python-webob (>= 1.7.1),
  python3-ddt,
  python3-docutils,
  python3-elasticsearch (>= 2.0.0),
@@ -48,42 +30,14 @@
  python3-redis,
  python3-requests (>= 2.14.2),
  python3-six,
+ python3-stestr,
+ python3-subunit,
  python3-testtools (>= 2.2.0),
  python3-webob (>= 1.7.1),
- subunit,
- testrepository,
 Standards-Version: 4.1.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-osprofiler
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-osprofiler.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-osprofiler
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-osprofiler
 Homepage: https://github.com/stackforge/osprofiler
-
-Package: python-osprofiler
-Architecture: all
-Depends:
- python-netaddr,
- python-oslo.concurrency (>= 3.26.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.utils (>= 3.33.0),
- python-prettytable,
- python-requests (>= 2.14.2),
- python-six,
- python-webob (>= 1.7.1),
- ${misc:Depends},
- ${python:Depends},
-Description: OpenStack Profiler Library - Python 2.x
- OpenStack consists of multiple projects. Each project, in turn, is composed of
- multiple services. To process some request, e.g. to boot a virtual machine,
- OpenStack uses multiple services from different projects. In the case somethin
- works too slowly, it's extremely complicated to understand what exactly goes
- wrong and to locate the bottleneck.
- .
- To resolve this issue, a tiny but powerful library, osprofiler, has been
- interoduced, and can be used by all OpenStack projects and their Python
- clients. To be able to generate one trace per request, that goes through all
- involved services, and builds a tree of calls (see an example
- http://pavlovic.me/rally/profiler/).
- .
- This package contains the Python 2.x module.
 
 Package: python-osprofiler-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -8,26 +8,26 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test 'osprofiler\.tests\.(?!.*OptsTestCase\.test_entry_point.*|.*unit\.drivers\.test_jaeger.*)'
+	pkgos-dh_auto_test --no-py2 'osprofiler\.tests\.(?!.*OptsTestCase\.test_entry_point.*|.*unit\.drivers\.test_jaeger.*)'
 endif
 
 override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
+	dh_clean -O--buildsystem=pybuild
 	rm -rf build
 
 override_dh_sphinxdoc:
 	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b html doc/source debian/python-osprofiler-doc/usr/share/doc/python-osprofiler-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild
 
 # Commands not to run
 override_dh_installcatalogs:

## python-osprofiler 3.0.0

=== debian/changelog ===
python-osprofiler (3.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:34:16 -0400

python-osprofiler (2.9.0-0ubuntu2) focal; urgency=medium

  * d/t/control: Drop python-osprofiler test as package no longer
    provides a py2 module.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 13 Jan 2020 12:01:16 +0100

python-osprofiler (2.9.0-0ubuntu1) focal; urgency=low

  [ Sahid Orentino Ferdjaoui ]
  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream

  [ Corey Bryant ]
  * d/watch: Use upstream release tarballs.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Dec 2019 14:38:32 -0500

python-osprofiler (2.8.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:06:21 +0200

python-osprofiler (2.8.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2019 17:32:39 +0200

python-osprofiler (2.6.0-2) unstable; urgency=medium

  * Removed python3-osprofiler.postinst which had update-alternatives for dual
    Python support (Closes: #940313).

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 11:55:39 +0200

python-osprofiler (2.6.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support (Closes: #937988).

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Sep 2019 08:48:43 +0200

## python-osprofiler 3.1.0

=== doc/source/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/osprofiler.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/osprofiler.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/osprofiler"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/osprofiler"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-osprofiler (3.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 15:32:26 -0400

=== debian/tests/control ===
Depends:
 python3-osprofiler,
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import osprofiler; print(osprofiler.__version__)"

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://tarballs.openstack.org/osprofiler/ osprofiler-(\d.*)\.tar\.gz

## python-osprofiler 3.4.0

=== requirements.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 requests>=2.14.2 # Apache-2.0
 six>=1.10.0 # MIT
 WebOb>=1.7.1 # MIT
+importlib_metadata>=1.7.0;python_version<'3.8' # Apache-2.0

=== debian/changelog ===
python-osprofiler (3.4.0-3) unstable; urgency=medium

  * Added Restrictions: superficial to d/tests/control (Closes: #974519).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Nov 2020 23:58:47 +0100

python-osprofiler (3.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 13:27:46 +0200

python-osprofiler (3.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 11:12:47 +0200

python-osprofiler (3.3.0-1) experimental; urgency=medium

  * Fixed homepage field and watch file.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 17:47:16 +0200

python-osprofiler (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 18:23:19 +0200

python-osprofiler (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 16:41:21 +0200

python-osprofiler (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 22:44:37 +0200

python-osprofiler (2.8.2-3) unstable; urgency=medium

  * Removed Python 2 autopkgtest (Closes: #937988).

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Jan 2020 22:39:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,42 @@
 Source: python-osprofiler
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
  python3-ddt,
  python3-docutils,
- python3-elasticsearch (>= 2.0.0),
- python3-mock,
+ python3-elasticsearch,
+ python3-hacking,
+ python3-importlib-metadata,
  python3-netaddr,
- python3-openstackdocstheme (>= 1.18.1),
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:3.2.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.utils (>= 3.33.0),
+ python3-openstackdocstheme,
+ python3-oslo.concurrency,
+ python3-oslo.config,
+ python3-oslo.serialization,
+ python3-oslo.utils,
  python3-prettytable,
  python3-pymongo,
  python3-redis,
- python3-requests (>= 2.14.2),
+ python3-requests,
  python3-six,
  python3-stestr,
- python3-subunit,
- python3-testtools (>= 2.2.0),
- python3-webob (>= 1.7.1),
+ python3-testtools,
+ python3-webob,
+ subunit,
 Standards-Version: 4.1.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-osprofiler
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-osprofiler
-Homepage: https://github.com/stackforge/osprofiler
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-osprofiler
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-osprofiler.git
+Homepage: https://opendev.org/openstack/osprofiler
 
 Package: python-osprofiler-doc
 Section: doc
@@ -63,14 +62,15 @@
 Package: python3-osprofiler
 Architecture: all
 Depends:
+ python3-importlib-metadata,
  python3-netaddr,
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.utils (>= 3.33.0),
+ python3-oslo.concurrency,
+ python3-oslo.serialization,
+ python3-oslo.utils,
  python3-prettytable,
- python3-requests (>= 2.14.2),
+ python3-requests,
  python3-six,
- python3-webob (>= 1.7.1),
+ python3-webob,
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack Profiler Library - Python 3.x

=== debian/tests/control ===
Restrictions: superficial
Depends:
 python3-osprofiler,
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import osprofiler; print(osprofiler.__version__)"

## python-osprofiler 3.4.1

=== debian/changelog ===
python-osprofiler (3.4.1-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 21 Jul 2021 20:05:02 +0000

python-osprofiler (3.4.1-0ubuntu1) impish; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:44:00 -0400

python-osprofiler (3.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:37:34 -0400

python-osprofiler (3.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 08:50:24 +0000

python-osprofiler (3.2.2-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control, d/copyright, d/rules: Update upstream git URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 14:58:42 -0400

python-osprofiler (3.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2020 14:24:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,42 @@
 Source: python-osprofiler
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-ddt,
+ python3-ddt (>= 1.0.1),
  python3-docutils,
- python3-elasticsearch,
- python3-hacking,
- python3-importlib-metadata,
- python3-netaddr,
- python3-openstackdocstheme,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-prettytable,
- python3-pymongo,
- python3-redis,
- python3-requests,
- python3-six,
- python3-stestr,
- python3-testtools,
- python3-webob,
- subunit,
-Standards-Version: 4.1.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-osprofiler
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-osprofiler.git
+ python3-elasticsearch (>= 2.0.0),
+ python3-importlib-metadata (>= 1.7.0),
+ python3-mock (>= 2.0.0),
+ python3-netaddr (>= 0.7.18),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:3.2.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-prettytable (>= 0.7.2),
+ python3-pymongo (>= 3.0.2),
+ python3-redis (>= 2.10.0),
+ python3-requests (>= 2.14.2),
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 2.0.0),
+ python3-subunit,
+ python3-testtools (>= 2.2.0),
+ python3-webob (>= 1:1.7.1),
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-osprofiler
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-osprofiler
 Homepage: https://opendev.org/openstack/osprofiler
 
 Package: python-osprofiler-doc
@@ -62,15 +63,15 @@
 Package: python3-osprofiler
 Architecture: all
 Depends:
- python3-importlib-metadata,
- python3-netaddr,
- python3-oslo.concurrency,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-prettytable,
- python3-requests,
- python3-six,
- python3-webob,
+ python3-importlib-metadata (>= 1.7.0),
+ python3-netaddr (>= 0.7.18),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-prettytable (>= 0.7.2),
+ python3-requests (>= 2.14.2),
+ python3-six (>= 1.10.0),
+ python3-webob (>= 1:1.7.1),
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack Profiler Library - Python 3.x

## python-osprofiler 3.4.2

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.serialization>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-PrettyTable<0.8,>=0.7.2 # BSD
+PrettyTable>=0.7.2 # BSD
 requests>=2.14.2 # Apache-2.0
 six>=1.10.0 # MIT
 WebOb>=1.7.1 # MIT

=== debian/changelog ===
python-osprofiler (3.4.2-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 16:40:56 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

## python-osprofiler 3.4.3

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,5 @@
 oslo.utils>=3.33.0 # Apache-2.0
 PrettyTable>=0.7.2 # BSD
 requests>=2.14.2 # Apache-2.0
-six>=1.10.0 # MIT
 WebOb>=1.7.1 # MIT
 importlib_metadata>=1.7.0;python_version<'3.8' # Apache-2.0

=== doc/requirements.txt ===
docutils>=0.14 # OSI-Approved Open Source, Public Domain
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.1 # BSD

# Build release notes
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-osprofiler (3.4.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:04:26 +0200

python-osprofiler (3.4.3-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.
  * Add autopkgtest.
  * Add python3-sphinxcontrib.apidoc as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 12:02:38 +0200

python-osprofiler (3.4.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 11:28:17 +0200

python-osprofiler (3.4.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Sep 2021 11:15:41 +0200

python-osprofiler (3.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 10:42:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,41 @@
 Source: python-osprofiler
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 2.0.0),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-ddt (>= 1.0.1),
+ python3-ddt,
  python3-docutils,
- python3-elasticsearch (>= 2.0.0),
- python3-importlib-metadata (>= 1.7.0),
- python3-mock (>= 2.0.0),
- python3-netaddr (>= 0.7.18),
- python3-openstackdocstheme (>= 2.2.1),
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:3.2.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.utils (>= 3.33.0),
- python3-prettytable (>= 0.7.2),
- python3-pymongo (>= 3.0.2),
- python3-redis (>= 2.10.0),
- python3-requests (>= 2.14.2),
- python3-six (>= 1.10.0),
- python3-stestr (>= 2.0.0),
- python3-subunit,
- python3-testtools (>= 2.2.0),
- python3-webob (>= 1:1.7.1),
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-osprofiler
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-osprofiler
+ python3-elasticsearch,
+ python3-hacking,
+ python3-importlib-metadata,
+ python3-netaddr,
+ python3-openstackdocstheme,
+ python3-oslo.concurrency,
+ python3-oslo.config,
+ python3-oslo.serialization,
+ python3-oslo.utils,
+ python3-prettytable,
+ python3-pymongo,
+ python3-redis,
+ python3-requests,
+ python3-sphinxcontrib.apidoc,
+ python3-stestr,
+ python3-testtools,
+ python3-webob,
+ subunit,
+Standards-Version: 4.1.0
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-osprofiler
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-osprofiler.git
 Homepage: https://opendev.org/openstack/osprofiler
 
 Package: python-osprofiler-doc
@@ -63,15 +62,14 @@
 Package: python3-osprofiler
 Architecture: all
 Depends:
- python3-importlib-metadata (>= 1.7.0),
- python3-netaddr (>= 0.7.18),
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.utils (>= 3.33.0),
- python3-prettytable (>= 0.7.2),
- python3-requests (>= 2.14.2),
- python3-six (>= 1.10.0),
- python3-webob (>= 1:1.7.1),
+ python3-importlib-metadata,
+ python3-netaddr,
+ python3-oslo.concurrency,
+ python3-oslo.serialization,
+ python3-oslo.utils,
+ python3-prettytable,
+ python3-requests,
+ python3-webob,
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack Profiler Library - Python 3.x

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

UPSTREAM_GIT := https://github.com/openstack/osprofiler.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'osprofiler\.tests\.(?!.*OptsTestCase\.test_entry_point.*|.*unit\.drivers\.test_jaeger.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b html doc/source debian/python-osprofiler-doc/usr/share/doc/python-osprofiler-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Restrictions: superficial
Depends:
 python3-osprofiler,
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import osprofiler; print(osprofiler.__version__)"

Tests: unittests
Depends:
 @builddeps@,
Restrictions: allow-stderr needs-root

## python-osprofiler 4.2.0

=== debian/changelog ===
python-osprofiler (4.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 00:24:49 +0200

python-osprofiler (4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-oslo.config as depends.
  * Add python3-jaeger-client as (build-)depends.
  * Blacklist all test_otlp tests that need opentelemetry-{sdk,exporter-otlp}.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Aug 2024 11:08:36 +0200

python-osprofiler (3.4.3-3) unstable; urgency=medium

  * Cleans better (Closes: #1046090).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Aug 2023 12:40:05 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  python3-elasticsearch,
  python3-hacking,
  python3-importlib-metadata,
+ python3-jaeger-client, 
  python3-netaddr,
  python3-openstackdocstheme,
  python3-oslo.concurrency,
@@ -63,8 +64,10 @@
 Architecture: all
 Depends:
  python3-importlib-metadata,
+ python3-jaeger-client, 
  python3-netaddr,
  python3-oslo.concurrency,
+ python3-oslo.config,
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-prettytable,

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 
 override_dh_auto_clean:
 	rm -rf build
+	rm -rf doc/source/contributor
+	find . -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -22,7 +24,7 @@
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2 --in-tmp
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'osprofiler\.tests\.(?!.*OptsTestCase\.test_entry_point.*|.*unit\.drivers\.test_jaeger.*)'
+	pkgos-dh_auto_test --no-py2 'osprofiler\.tests\.(?!.*OptsTestCase\.test_entry_point.*|.*unit\.drivers\.test_jaeger.*|.*test_otlp.*)'
 endif
 
 override_dh_sphinxdoc:

## python-osprofiler 4.3.0

=== requirements.txt ===
netaddr>=0.7.18 # BSD
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.serialization>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
PrettyTable>=0.7.2 # BSD
requests>=2.14.2 # Apache-2.0
WebOb>=1.7.1 # MIT

=== debian/changelog ===
python-osprofiler (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:23:25 +0200

python-osprofiler (4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 11:55:42 +0200

python-osprofiler (4.2.0-6) unstable; urgency=medium

  * Blacklist all 3 elasticsearch unit tests as they look like broken with
    latest python-elasticsearch (Closes: #1101250):
    - .*ElasticsearchTestCase.*

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Mar 2025 12:09:24 +0100

python-osprofiler (4.2.0-4) unstable; urgency=medium

  * Move python3-jaeger-client to recommends (Closes: #1087921).

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jan 2025 12:55:19 +0100

python-osprofiler (4.2.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090586).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 23:54:43 +0100

=== debian/control ===
--- 
+++ 
@@ -64,7 +64,6 @@
 Architecture: all
 Depends:
  python3-importlib-metadata,
- python3-jaeger-client, 
  python3-netaddr,
  python3-oslo.concurrency,
  python3-oslo.config,
@@ -75,6 +74,8 @@
  python3-webob,
  ${misc:Depends},
  ${python3:Depends},
+Recommends:
+ python3-jaeger-client, 
 Description: OpenStack Profiler Library - Python 3.x
  OpenStack consists of multiple projects. Each project, in turn, is composed of
  multiple services. To process some request, e.g. to boot a virtual machine,

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build
@@ -24,7 +24,7 @@
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2 --in-tmp
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'osprofiler\.tests\.(?!.*OptsTestCase\.test_entry_point.*|.*unit\.drivers\.test_jaeger.*|.*test_otlp.*)'
+	pkgos-dh_auto_test --no-py2 'osprofiler\.tests\.(?!.*OptsTestCase\.test_entry_point.*|.*unit\.drivers\.test_jaeger.*|.*test_otlp.*|.*ElasticsearchTestCase.*)'
 endif
 
 override_dh_sphinxdoc:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/osprofiler/tags .*/(\d[\d\.]+)\.tar\.gz
